View Issue Details

IDProjectCategoryView StatusLast Update
0017483MediaMonkey 5Track Browserpublic2021-04-05 19:07
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0017483: Track views don't refresh correctly on edits (regression)
DescriptionIf the user selects a group of tracks and edits them in such a manner that they should be removed from the current node, then the view doesn't refresh correctly:
 
1 Navigate to Genre > Rock [Browser or List i.e. didn't test in all views]
2 Change the Type from Music --> AudioBook OR change the Genre from Rock --> Rocky (i.e. make an edit that causes tracks to be removed from the view)
--> Some of the tracks disappear from the view, others don't!
--> Order of the tracks changes (e.g. other tracks will be inserted among the original set of tracks that were selected)!
3 Click on one of the tracks
--> It changes to a different track!
4 Press F5 to refresh
--> All the tracks are removed from the view as expected
5 Navigate to Genre > Rock [Browser]
--> The tracks appear but some show without their artwork (I haven't figured out how to replicate this, but report in case it's relevant)

Additional InformationI suspect that this issue may be what the user was reporting at:
https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=98307
TagsNo tags attached.
Fixed in build2303

Relationships

related to 0017389 closedLudek Duplicate content view is not refreshed after signature calc (for some users) 
related to 0017725 feedbackpetr Refreshing number in Downloads(X) collapses manually opened album 

Activities

Ludek

2021-02-03 10:24

developer   ~0061707

Fixed in 2303

rusty

2021-02-04 21:04

administrator   ~0061735

Verified 2303.

peke

2021-02-04 21:38

developer   ~0061741

Verified 2303

Working OK , tracks are removed as expected.

Close after second verification.